#include <bits/stdc++.h>
using namespace std;
using ll = long long;

int main()
{
    ll n;
    cin >> n;
    int max1 = n * 2 - 3, max2 = n * 2 - 2;
    deque<ll> r1;
    deque<ll> r2;
    r1.push_back(1);
    r2.push_back(2);
    r1.push_front(n*2-1);
    r2.push_front(n*2);
    while (r1.size() + r2.size() < n*2)
    {
        int raz11 = abs(r1.back() - max1), raz12 = abs(r1.front() - max1), raz21 = abs(r2.back() - max2), raz22 = abs(r2.front() - max2);
        if (raz11 > raz12)
        {
            r1.push_back(max1);
            max1 -= 2;
        }
        else
        {
            r1.push_front(max1);
            max1 -= 2;
        }
        if (raz21 > raz22)
        {
            r2.push_back(max2);
            max2 -= 2;
        }
        else
        {
            r2.push_front(max2);
            max2 -= 2;
        }
    }
    while(!r1.empty())
    {
        cout << r1.back() << " ";
        r1.pop_back();
    }
    cout << '\n';
    while(!r2.empty())
    {
        cout << r2.back() << " ";
        r2.pop_back();
    }

}